# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
 {
   "key":"Advanced SystemCare_is1",
   "name":"Advanced SystemCare",
   "version":"17.6.0",
   "install_date":"2024-08-29 00:00:00",
   "install_location":"C:\\Program Files (x86)\\IObit\\Advanced SystemCare\\",
   "uninstall_string":"\"C:\\Program Files (x86)\\IObit\\Advanced SystemCare\\unins000.exe\"",
   "publisher":"IObit",
   "system_component":0,
   "win64":false
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: advanced-systemcare-setup.exe")
    install_exe_if_needed(
        "advanced-systemcare-setup.exe",
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-",
        key="Advanced SystemCare_is1",
        min_version=control.get_software_version(),
    )
